Subject: bug#64960: Documentation for copy-sequence

From: Dmitry Gutov <[email-masked]>
Date: Sun, 30 Jul 2023 22:59:16 +0300

On 30/07/2023 22:20, uzibalqa via Bug reports for GNU Emacs, the Swiss 
army knife of text editors wrote:
> So it returns a copy but elements are not copied.  So what happens exactly ?
> You get a reference to the original ?  When I modify the copy, the original
> remains intact.

The list (if the sequence is a list) is new (from newly allocated cons 
cells), but the values inside (in cars of those conses) are shared with 
the original list.